{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Gets an enabled custom deployment protection rule for an environment. Anyone with read access to the repository can use this endpoint. For more information about environments, see \"[Using environments for deployment](https://docs.github.com/actions/deployment/targeting-different-environments/using-environments-for-deployment).\"\n\nFor more information about the app that is providing this custom deployment rule, see [`GET /apps/{app_slug}`](https://docs.github.com/rest/apps/apps#get-an-app).\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.","properties":{"path":{"type":"object","properties":{"owner":{"type":"string","description":"The account owner of the repository. The name is not case sensitive."},"repo":{"type":"string","description":"The name of the repository without the `.git` extension. The name is not case sensitive."},"environment_name":{"type":"string","description":"The name of the environment. The name must be URL encoded. For example, any slashes in the name must be replaced with `%2F`."},"protection_rule_id":{"type":"integer","description":"The unique identifier of the protection rule."}},"required":["owner","repo","environment_name","protection_rule_id"],"additionalProperties":false}},"required":["path"],"additionalProperties":false},"name":"Get a custom deployment protection rule","id":"github.repos.get-custom-deployment-protection-rule","example":{"path":{"owner":"octocat","repo":"hello-world","environment_name":"example","protection_rule_id":1}},"maxRequests":1,"summary":false}}